bitand.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_BITAND(x, y) MSGPACK_PP_BITAND_OO((x, y))
#define | MSGPACK_PP_BITAND_OO(par) MSGPACK_PP_BITAND_I ## par
#define | MSGPACK_PP_BITAND_I(x, y) MSGPACK_PP_BITAND_ID(MSGPACK_PP_BITAND_ ## x ## y)
#define | MSGPACK_PP_BITAND_ID(res) res
#define | MSGPACK_PP_BITAND_00 0
#define | MSGPACK_PP_BITAND_01 0
#define | MSGPACK_PP_BITAND_10 0
#define | MSGPACK_PP_BITAND_11 1

## Macro Definition Documentation

## MSGPACK_PP_BITAND

#define MSGPACK_PP_BITAND | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITAND_OO((x, y))

## MSGPACK_PP_BITAND_00

#define MSGPACK_PP_BITAND_00 0

## MSGPACK_PP_BITAND_01

#define MSGPACK_PP_BITAND_01 0

## MSGPACK_PP_BITAND_10

#define MSGPACK_PP_BITAND_10 0

## MSGPACK_PP_BITAND_11

#define MSGPACK_PP_BITAND_11 1

## MSGPACK_PP_BITAND_I

#define MSGPACK_PP_BITAND_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITAND_ID(MSGPACK_PP_BITAND_ ## x ## y)

## MSGPACK_PP_BITAND_ID

#define MSGPACK_PP_BITAND_ID | ( |  | res | ) | res

## MSGPACK_PP_BITAND_OO

#define MSGPACK_PP_BITAND_OO | ( |  | par | ) | MSGPACK_PP_BITAND_I ## par